Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Object
Created: 2008-10-27 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Inject dependencies after object reconstitution
Description

.

Associated revisions
Revision 6afab12b - 2009-02-12 15:19 - Karsten Dambekalns
FLOW3:
    -  __wakeup() is no longer handled in a special way in AOP to support persistence, fixes #1724
    -  changed the persistence aspect to no longer attach to __wakeup(), refs #1724
    -  replaced reconstituteObject() by three seperate methods to allow two-step reconstitution, refs #1849
TYPO3CR:
    -  split initialize() into seperate methods in FLOW3 persistence backend
    -  the FLOW3 persistence DataMapper now uses two-step reconstitution allowing to load bidirectional object relations
    -  the FLOW3 persistence DataMapper asks the object Builder to inject setter dependencies during reconstitution, fixes #1849

History
#1 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#2 - 2009-01-23 16:03 - Robert Lemke
- Tracker changed from Bug to Feature

#3 - 2009-02-12 14:21 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns

#4 - 2009-02-12 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1912.
